$pink: #ffc7d8;
$white: #ffffff;
$black: #000000;
$black-lighter: rgba(0, 0, 0, 0.77);
$gray: #d8d8d8;
$orange: #ce7b38;

$colors: (
  "orange": $orange,
  "white": $white,
  "black": $black,
  "black-lighter": $black-lighter,
  "gray": $gray,
  "pink": $pink,
);

@each $name, $color in $colors {
  .bkgrd\:#{$name} {
    background-color: $color;
  }
  .text\:#{$name} {
    color: $color;
  }
  .text-shadow\:#{$name} {
    text-shadow: 1px 0 0 $color, 0 -1px 0 $color, 0 1px 0 $color,
      -1px 0 0 $color;
  }
}
